## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class MethodBindingType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.MethodBindingType

All Implemented Interfaces:
  IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  ActionType

    public class MethodBindingType

extends ExpressionBindingType
implements IValidELValues, IValidValues

Meta-data processing type representing an method-binding attribute value runtime type

Provisional API - subject to change

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`MethodBindingType()`

Method Summary
`org.eclipse.jst.jsf.common.internal.types.CompositeType` `getExpectedRuntimeType()` Expected runtime type for EL value
`boolean` `isValidValue(java.lang.String value)` Non-EL values are invalid for method bound attribute values

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`getValidationMessages`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### MethodBindingType

    public MethodBindingType()

Method Detail

### getExpectedRuntimeType

    public org.eclipse.jst.jsf.common.internal.types.CompositeType getExpectedRuntimeType()
                                                                                   throws ELIsNotValidException

  Description copied from interface: `IValidELValues`
  Expected runtime type for EL value

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Returns:
    CompositeType
  Throws:
    `ELIsNotValidException`

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Non-EL values are invalid for method bound attribute values

  Specified by:
    `isValidValue` in interface `IValidValues`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid
  See Also:
    `IValidValues.isValidValue(java.lang.String)`